Page MenuHomePhabricator

Allow to uninstall all LiquidThreads code except the parts necessary for the remaining content, to be moved into (?)WikimediaMessages
Open, HighPublic3 Story Points

Description

We need to keep support for logs and namespace numbers (latter is currently in mediawiki-config, but should be moved here)

For logs, compare https://office.wikimedia.org/wiki/Special:Log to https://translatewiki.net/wiki/Special:Log (latter has "Threaded discussion log"). The same is true for the API: https://office.wikimedia.org/w/api.php?action=query&list=logevents&letype=liquidthreads vs. https://translatewiki.net/w/api.php?action=query&list=logevents&letype=liquidthreads . It's still in the database, but not accessible (except maybe DB dumps, not sure)

We also need to keep any i18n messages used by the logs.

Open q (from July 28 mtg): What are the LQT log actions, and which ones are already imported into Flow? Do we import topic title edits?

Related Objects

StatusAssignedTask
ResolvedDannyH
ResolvedDannyH
OpenNone
OpenNone
Resolved Mattflaschen-WMF
Resolvedmatthiasmullie
ResolvedEBernhardson
Resolvedmatthiasmullie
Resolved Mattflaschen-WMF
Resolvedmatthiasmullie
ResolvedEBernhardson
ResolvedEBernhardson
ResolvedDannyH
ResolvedEBernhardson
Duplicate Mattflaschen-WMF
ResolvedEBernhardson
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
ResolvedNone
ResolvedEBernhardson
ResolvedEBernhardson
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
ResolvedCatrope
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2015, 1:29 AM
EBernhardson triaged this task as High priority.Feb 17 2015, 7:00 PM
EBernhardson added a subscriber: EBernhardson.

this is something we need to think about, it can be done at any time. Possible solutions include:

  • Leave LQT on forever
  • Make a stub of LQT with only formatting/NS_TOPIC
  • Built the LQT formatter into Flow
  • ???
Quiddity updated the task description. (Show Details)Feb 17 2015, 7:01 PM
Quiddity set Security to None.

this is something we need to think about, it can be done at any time. Possible solutions include:

  • Leave LQT on forever
  • Make a stub of LQT with only formatting/NS_TOPIC

NS_LQT_THREAD, right?

sorry yea i meant the LQT namespaces:

define( 'NS_LQT_THREAD', 90 );
define( 'NS_LQT_THREAD_TALK', 91 );
define( 'NS_LQT_SUMMARY', 92 );
define( 'NS_LQT_SUMMARY_TALK', 93 );
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 26 2015, 7:04 AM
Mattflaschen-WMF renamed this task from Decide what to do about logging on wikis where LQT is disabled to Remove all LiquidThreads code except parts necessary for remaining content.Apr 27 2015, 7:01 PM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF edited a custom field.
Mattflaschen-WMF added a subscriber: Legoktm.
DannyH updated the task description. (Show Details)Jul 28 2015, 6:01 PM
DannyH edited a custom field.
Jdforrester-WMF renamed this task from Remove all LiquidThreads code except parts necessary for remaining content to Remove all LiquidThreads code except parts necessary for remaining content, moving them to (?)WikimediaMessages.Aug 28 2017, 7:07 PM
Nemo_bis renamed this task from Remove all LiquidThreads code except parts necessary for remaining content, moving them to (?)WikimediaMessages to Allow to uninstall all LiquidThreads code except the parts necessary for the remaining content, to be moved in (?)WikimediaMessages.Aug 28 2017, 7:20 PM
Jdforrester-WMF renamed this task from Allow to uninstall all LiquidThreads code except the parts necessary for the remaining content, to be moved in (?)WikimediaMessages to Allow to uninstall all LiquidThreads code except the parts necessary for the remaining content, to be moved into (?)WikimediaMessages.Aug 28 2017, 7:40 PM